curl --request GET \
--url https://api.mycreditapp.ai/v1-beta/guest-connections/{guest_org_id} \
--header 'Authorization: Bearer <token>' \
--header 'Requester-Organization-ID: <requester-organization-id>' \
--header 'Target-Organization-ID: <target-organization-id>'import requests
url = "https://api.mycreditapp.ai/v1-beta/guest-connections/{guest_org_id}"
headers = {
"Requester-Organization-ID": "<requester-organization-id>",
"Target-Organization-ID": "<target-organization-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Requester-Organization-ID': '<requester-organization-id>',
'Target-Organization-ID': '<target-organization-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.mycreditapp.ai/v1-beta/guest-connections/{guest_org_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mycreditapp.ai/v1-beta/guest-connections/{guest_org_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Requester-Organization-ID: <requester-organization-id>",
"Target-Organization-ID: <target-organization-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mycreditapp.ai/v1-beta/guest-connections/{guest_org_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Requester-Organization-ID", "<requester-organization-id>")
req.Header.Add("Target-Organization-ID", "<target-organization-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mycreditapp.ai/v1-beta/guest-connections/{guest_org_id}")
.header("Requester-Organization-ID", "<requester-organization-id>")
.header("Target-Organization-ID", "<target-organization-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mycreditapp.ai/v1-beta/guest-connections/{guest_org_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Requester-Organization-ID"] = '<requester-organization-id>'
request["Target-Organization-ID"] = '<target-organization-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"host_organization_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"guest_organization_id": "c9b1f0d1-8d3f-4cfa-91b8-9f9b0c5e2a77",
"status": "connected",
"guest_name": "Example Corp",
"guest_email": "contact@example.com",
"owner_email": "owner@host.com",
"archived": true,
"created_at": "2025-12-12T10:30:00.123456",
"updated_at": "2025-12-12T10:30:00.123456",
"total_score": 87.5,
"score_updated_at": "2025-12-12T10:30:00.123456",
"archived_at": "2025-12-12T10:30:00.123456",
"active_action_type": "analytics_request",
"active_action_updated_at": "2025-12-12T10:30:00.123456",
"parent_organization_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"parent_organization_name": "Example Parent Corp"
}{
"detail": [
{
"loc": [],
"msg": "Unsupported CRUD operation!",
"type": "request",
"code": "unsupported_crud_operation"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Token is required!",
"type": "token",
"code": "token_required"
},
{
"loc": [],
"msg": "The token has expired!",
"type": "token",
"code": "token_expired"
},
{
"loc": [],
"msg": "Invalid token!",
"type": "token",
"code": "invalid_token"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Access denied!",
"type": "request",
"code": "access_denied"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Guest connection not found!",
"type": "request",
"code": "guest_connection_not_found"
},
{
"loc": [],
"msg": "Account not found!",
"type": "request",
"code": "account_not_found"
},
{
"loc": [],
"msg": "Organization not found!",
"type": "request",
"code": "organization_not_found"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The account is in the process of being deleted! The Account's email can only be reused after its data has been completely deleted. The removal process may take up to 24 hours.",
"type": "request",
"code": "account_being_deleted"
},
{
"loc": [],
"msg": "The organization is in the process of being deleted! The removal process may take up to 24 hours.",
"type": "request",
"code": "organization_being_deleted"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The request is too large!",
"type": "request",
"code": "request_too_large"
}
]
}{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"code": "validation_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Error processing request, please try later!",
"type": "try_later",
"code": "internal_conflict_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Service is under maintenance, please try later!",
"type": "maintanance",
"code": "service_under_maintenance"
}
]
}Get guest connection
Retrieve detailed information about a specific guest connection by its guest organization ID.
Authorization scenarios
| Guest | Host | Self |
|---|---|---|
| ❌ | ❌ | ✅ |
curl --request GET \
--url https://api.mycreditapp.ai/v1-beta/guest-connections/{guest_org_id} \
--header 'Authorization: Bearer <token>' \
--header 'Requester-Organization-ID: <requester-organization-id>' \
--header 'Target-Organization-ID: <target-organization-id>'import requests
url = "https://api.mycreditapp.ai/v1-beta/guest-connections/{guest_org_id}"
headers = {
"Requester-Organization-ID": "<requester-organization-id>",
"Target-Organization-ID": "<target-organization-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Requester-Organization-ID': '<requester-organization-id>',
'Target-Organization-ID': '<target-organization-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.mycreditapp.ai/v1-beta/guest-connections/{guest_org_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mycreditapp.ai/v1-beta/guest-connections/{guest_org_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Requester-Organization-ID: <requester-organization-id>",
"Target-Organization-ID: <target-organization-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mycreditapp.ai/v1-beta/guest-connections/{guest_org_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Requester-Organization-ID", "<requester-organization-id>")
req.Header.Add("Target-Organization-ID", "<target-organization-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mycreditapp.ai/v1-beta/guest-connections/{guest_org_id}")
.header("Requester-Organization-ID", "<requester-organization-id>")
.header("Target-Organization-ID", "<target-organization-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mycreditapp.ai/v1-beta/guest-connections/{guest_org_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Requester-Organization-ID"] = '<requester-organization-id>'
request["Target-Organization-ID"] = '<target-organization-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"host_organization_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"guest_organization_id": "c9b1f0d1-8d3f-4cfa-91b8-9f9b0c5e2a77",
"status": "connected",
"guest_name": "Example Corp",
"guest_email": "contact@example.com",
"owner_email": "owner@host.com",
"archived": true,
"created_at": "2025-12-12T10:30:00.123456",
"updated_at": "2025-12-12T10:30:00.123456",
"total_score": 87.5,
"score_updated_at": "2025-12-12T10:30:00.123456",
"archived_at": "2025-12-12T10:30:00.123456",
"active_action_type": "analytics_request",
"active_action_updated_at": "2025-12-12T10:30:00.123456",
"parent_organization_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"parent_organization_name": "Example Parent Corp"
}{
"detail": [
{
"loc": [],
"msg": "Unsupported CRUD operation!",
"type": "request",
"code": "unsupported_crud_operation"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Token is required!",
"type": "token",
"code": "token_required"
},
{
"loc": [],
"msg": "The token has expired!",
"type": "token",
"code": "token_expired"
},
{
"loc": [],
"msg": "Invalid token!",
"type": "token",
"code": "invalid_token"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Access denied!",
"type": "request",
"code": "access_denied"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Guest connection not found!",
"type": "request",
"code": "guest_connection_not_found"
},
{
"loc": [],
"msg": "Account not found!",
"type": "request",
"code": "account_not_found"
},
{
"loc": [],
"msg": "Organization not found!",
"type": "request",
"code": "organization_not_found"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The account is in the process of being deleted! The Account's email can only be reused after its data has been completely deleted. The removal process may take up to 24 hours.",
"type": "request",
"code": "account_being_deleted"
},
{
"loc": [],
"msg": "The organization is in the process of being deleted! The removal process may take up to 24 hours.",
"type": "request",
"code": "organization_being_deleted"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The request is too large!",
"type": "request",
"code": "request_too_large"
}
]
}{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"code": "validation_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Error processing request, please try later!",
"type": "try_later",
"code": "internal_conflict_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Service is under maintenance, please try later!",
"type": "maintanance",
"code": "service_under_maintenance"
}
]
}Authorizations
Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.
Headers
The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.
"054b4106-174b-46b0-97f8-86d8d7b6f0af"
The unique identifier of the organization that is the target of the request.
The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources.
If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.
"123e4567-e89b-12d3-a456-426614174000"
Path Parameters
Unique identifier of the guest organization
"c9b1f0d1-8d3f-4cfa-91b8-9f9b0c5e2a77"
Response
Successful Response
Unique identifier of the host organization
"d290f1ee-6c54-4b01-90e6-d701748f0851"
Unique identifier of the guest organization
"c9b1f0d1-8d3f-4cfa-91b8-9f9b0c5e2a77"
Current status of the guest connection
connected, disconnected Email of the host organization owner responsible for the connection
1 - 100"owner@host.com"
Indicates whether the guest connection is archived
Timestamp when the guest connection was created
"2025-12-12T10:30:00.123456"
Timestamp when the guest connection was last updated
"2025-12-12T10:30:00.123456"
Current total score of the guest organization if calculated
x >= 087.5
Timestamp when the total score was last updated
"2025-12-12T10:30:00.123456"
Timestamp when the connection was archived, if applicable
"2025-12-12T10:30:00.123456"
Type of the currently active action associated with the connection
analytics_request Timestamp when the active action was last updated
"2025-12-12T10:30:00.123456"
ID of the parent organization, if applicable
"d290f1ee-6c54-4b01-90e6-d701748f0851"
Name of the parent organization, if applicable
1 - 300"Example Parent Corp"